﻿//-----------------------------------------------------------------------
// <copyright file="BundleConfig.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.MVCSiteTemplate
{
    using System.Web.Optimization;

    /// <summary>
    /// Registers all of the CSS and JS bundles
    /// </summary>
    public static class BundleConfig
    {
        /// <summary>
        /// Registers the bundles. For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
        /// </summary>
        /// <param name="bundles">The bundles.</param>
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/js/jquery").Include(
                        "~/Scripts/jquery-{version}.js"));

            bundles.Add(new ScriptBundle("~/js/jqueryui").Include(
                        "~/Scripts/jquery-ui-{version}.js"));

            bundles.Add(new ScriptBundle("~/js/jqueryval").Include(
                        "~/Scripts/jquery.validate*",
                        "~/Scripts/jquery.unobtrusive*"));

            bundles.Add(new ScriptBundle("~/js/bootstrap").Include(
                        "~/Scripts/bootstrap-{version}.js"));

            bundles.Add(new ScriptBundle("~/js/base").Include(
                        "~/Scripts/jquery.placeholder.js",
                        "~/Scripts/main.js",
                        "~/Scripts/plugins.js",
                        "~/Scripts/number-polyfill.js"));

            // Use the development version of Modernizr to develop with and learn from. Then, when you're
            // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
            bundles.Add(new ScriptBundle("~/js/modernizr").Include(
                        "~/Scripts/modernizr-*"));

            bundles.Add(new ScriptBundle("~/js/knockout").Include(
                        "~/Scripts/knockout-{version}.js"));

            bundles.Add(new StyleBundle("~/styles").Include(
                "~/Content/normalize.css", 
                "~/Content/bootstrap.css",
                "~/Content/bootstrap-responsive.css",
                "~/Content/number-polyfill.css",
                "~/Content/main.css"));
        }
    }
}