﻿//-----------------------------------------------------------------------
// <copyright file="RouteConfig.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.MVCSiteTemplate
{
    using System.Web.Mvc;
    using System.Web.Routing;

    /// <summary>
    /// Sets up routes for the app
    /// </summary>
    public static class RouteConfig
    {
        /// <summary>
        /// Registers routes in the specified collection.
        /// </summary>
        /// <param name="routes">The routes.</param>
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                name: "Category",
                url: "category/{categoryId}",
                defaults: new { controller = "Category", action = "Index", categoryId = string.Empty }
            );

            routes.MapRoute(
                name: "Product",
                url: "product/{productId}",
                defaults: new { controller = "Product", action = "Index" }
           );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}