﻿//-----------------------------------------------------------------------
// <copyright file="HomeController.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.MVCSiteTemplate.Controllers
{
    using CommerceServerContrib.MVCSiteTemplate.Models.Generated;
    using System.Web.Mvc;
    using RT = CommerceServerContrib.MVCSiteTemplate.RequestTemplates;

    /// <summary>
    /// Handles all requests to home
    /// </summary>
    public class HomeController : BaseController
    {
        /// <summary>
        /// Handles the index view of the controller.  Products of the featured category are displayed on the homepage.  
        /// </summary>
        /// <returns>The action for this view</returns>
        public ActionResult Index()
        {
            var featuredProductsCategories = RT.Catalog.GetCategoryWithChildProducts(
                   "FeaturedProducts",
                   this.DefaultCatalog,
                   "0",
                   "4",
                   null,
                   null,
                   null,
                   null,
                   null,
                   null);

            if (featuredProductsCategories != null)
            {
                return View((Category)featuredProductsCategories[0]);
            }

            return View(new Category());
        }
    }
}
