﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@Import Namespace="System.Collections.Generic" %>
<%@Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@Import Namespace="CommerceServer.Foundation" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Cart/Coupons.ascx" TagPrefix="cs" TagName="Coupons" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Checkout/OrderSummary.ascx" TagPrefix="cs" TagName="OrderSummary" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Cart/LineItem.ascx" TagPrefix="cs" TagName="LineItem" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Cart/Pagination.ascx" TagPrefix="cs" TagName="Pagination" %>
<script runat="server">
    BasketViewModel basket;

    public void SetupControl()
    {
        List<CommerceEntity> commerceEntities = this.Model<List<CommerceEntity>>();
        if (commerceEntities != null && commerceEntities.Count > 0)
        {
            basket = ViewModelBuilder.CreateBasketViewModel(new Basket(commerceEntities[0]));
        }
        else
        {
            basket = new BasketViewModel();
        }

        this.DataBind();
    }
</script>
<%
    this.SetupControl();
%>
<div id="cartContainer" class="span8 cart">
    <cs:Pagination runat="server" Data="<%# basket %>" />
    <table class="table table-hover">
    <caption></caption>
    <thead>
        <tr>
            <th class="hidden-phone"></th>
            <th class="dataCol"><%= Resource("Cart_LabelPrice") %></th>
            <th class="dataCol"><%= Resource("Cart_LabelQuantity") %></th>
            <th class="dataCol"><%= Resource("Cart_LabelTotal") %></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        <% 
            if(basket !=null && basket.LineItems !=null)
            {
        %>
        <asp:Repeater runat="server" ID="LineItemList" DataSource="<%# basket.LineItems %>">
            <ItemTemplate>
                <cs:LineItem runat="server" Data="<%# Container.DataItem %>" />
            </ItemTemplate>
        </asp:Repeater>
        <% 
        }
        %>
    </tbody>
    </table>
    <cs:Pagination runat="server" Data="<%# basket %>"/>
</div>
<div class="span4">
    <cs:Coupons runat="server" />
    <cs:OrderSummary runat="server" Data="<%# basket %>" />
    <div class="row form-actions">
        <a class="btn btn-primary" href="checkout.aspx"><%= Resource("Cart_ButtonCheckout") %></a>
        <a class="btn" href="/"><%= Resource("Cart_ButtonContinue") %></a>
    </div>
</div>
<div id="error" class="validation-summary-errors">

    <%
        foreach (var error in basket.BasketErrors)
    {
    %>
        <p class="text-error hide"><%=error%></p>
    <%
    }
    %>
</div>
 <script type="text/javascript">
     manageCartActions();
 </script>
