﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Shared/Address.ascx" TagPrefix="cs" TagName="Address" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Shared/ShippingMethod.ascx" TagPrefix="cs" TagName="ShippingMethod" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Checkout/CreditCard.ascx" TagPrefix="cs" TagName="CreditCard" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Checkout/OrderSummary.ascx" TagPrefix="cs" TagName="OrderSummary" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Checkout/OrderSubmit.ascx" TagPrefix="cs" TagName="OrderSubmit" %>
<script runat="server">
    BasketViewModel basket;
    Dictionary<string, object> paymentMethodViewBagData = new Dictionary<string,object>();
    Dictionary<string, object> shippingMethodViewBagData = new Dictionary<string,object>();
    
    public void SetupPage()
    {
        List<object> commerceEntities = this.Model<List<Object>>();
        
        if (commerceEntities != null && commerceEntities.Count > 0)
        {
            var basketResponse = commerceEntities[0] as List<CommerceEntity>;
            var paymentMethodsList = commerceEntities[1] as List<CommerceEntity>;
            var shippingMethodsList = commerceEntities[2] as List<CommerceEntity>;
            paymentMethodViewBagData.Add("paymentMethods", paymentMethodsList);
            shippingMethodViewBagData.Add("shippingMethods", shippingMethodsList);

            basket = ViewModelBuilder.CreateBasketViewModel(new Basket(basketResponse[0]));
        }
        else
        {
            basket = new BasketViewModel();
        }

        this.DataBind();    
    }

    protected string CheckedString(bool check)
    {
        if (check)
        {
            return "checked=\"checked\"";
        }
        else
        {
            return string.Empty;
        }
    }
</script>
<%
    this.SetupPage();
%>
<div id="checkoutContainer">
    <div class="span4">
        <p class="text-success hide" id="checkoutFailure"><%= Resource("Checkout_FailureMessage") %></p>
        <h3><%= Resource("Checkout_LabelBillingAddress") %></h3>
        <input type="hidden" name="cleanBasket" value="<%# basket.BasketNeedsToBeCleanedBeforeSave %>" />
        <cs:Address runat="server" Data="<%# basket.BillingAddress %>" ControlIdPrefix="billing" />
        <div>
            <label for="shipToBillingAddress" class="checkbox">
                <input type="checkbox" name="shipToBillingAddress" id="shipToBillingAddress" <%# CheckedString(basket.UseBillingAddressForShippingAddress) %> />
                Ship to same address
            </label>
        </div>
        <div id="shippingSection">
            <h3><%= Resource("Checkout_LabelShippingAddress") %></h3>
            <cs:Address runat="server" Data="<%# basket.ShippingAddress %>" ControlIdPrefix="shipping" />
        </div>
    </div>
    <div class="span4">
        <h3><%= Resource("Checkout_LabelShippingMethod") %></h3>
        <cs:ShippingMethod runat="server" Data="<%# basket.ShippingMethodId %>" ViewBag="<%# shippingMethodViewBagData %>" />
        <h3><%= Resource("Checkout_LabelPaymentMethod") %></h3>
        <cs:CreditCard runat="server" Data="<%# basket.CreditCardPayment %>" ViewBag="<%# paymentMethodViewBagData %>" />
    </div>
    <div class="span4">
        <h3><%= Resource("Checkout_LabelOrderSummary") %></h3>
        <cs:OrderSummary runat="server" Data="<%# basket %>" />
        <cs:OrderSubmit runat="server" Data="<%# basket %>" />
    </div>
</div>
<script type="text/javascript">
    manageShippingBillingAddresses();
    setupCheckoutPage();
    setupPlaceholder();
    RegisterCheckout();
    RegisterRecalculate();
</script>
