﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%@ Import Namespace="System.Linq" %>
<%
    List<CommerceEntity> model = this.Model<List<CommerceEntity>>();
    Product product;
    if (model != null && model.Count > 0)
    {
        product = new Product(model[0]);
    }
    else
    {
        product = new Product();
    }   
 %>
    <input type="hidden" id="productId" value="<%=product.Id %>" />
    <input type="hidden" id="variantId" value=""/>
    <div class="well">
        <div class="control-group">
            <label class="control-label" for="price"><%= Resource("Product_LabelPrice") %></label>
            <div class="controls">
                <span id="price"><%= product.ListPrice.ToCurrency() %></span>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label" for="quantity">Quantity</label>
            <div class="controls">
                <input type="number" id="quantity" placeholder="<%= Resource("Product_LabelQuantity") %>" value="1" class="input-mini" min="1" />
            </div>
        </div>
        <% 
            if (product.Variants != null && product.Variants.Count > 0)
            {
                var sizes = product.Variants.Where(variant => !string.IsNullOrEmpty(variant.Size)).Distinct(new VariantPropertiesEqualityComparer(VariantPropertiesComparisonProperty.Size));
                if (sizes.Any())
                {
        %>
        <div class="control-group">
            <label class="control-label" for="size"><%= Resource("Product_LabelSize") %></label>
            <div class="controls">
                <select id="variantSize" name="Variant_Size" onchange="VariantSelectionChanged()">
                    <% 
                foreach (var size in sizes)
                {
                    %>
                    <option value="<%=size.Size%>"><%=size.Size%></option>
                    <% 
            }
                    %>
                </select>

            </div>
        </div>
        <% 
            }
                var colors = product.Variants.Where(variant => !string.IsNullOrEmpty(variant.ProductColor)).Distinct(new VariantPropertiesEqualityComparer(VariantPropertiesComparisonProperty.ProductColor));
                if (colors.Any())
                {
        %>
        <div class="control-group">
            <label class="control-label" for="colour"><%= Resource("Product_LabelColour") %></label>
            <div class="controls">
                <select id="variantColour" name="Variant_Color" onchange="VariantSelectionChanged()">
                    <% 
            foreach (var color in colors)
            {
                    %>
                     <option value="<%=color.ProductColor%>"><%=color.ProductColor%></option>
                    <%
            }
                    %>
                </select>
            </div>
        </div>
        <%
            }
        }
        %>
        <div class="control-group">
            <p class="text-success hide" id="addToCartSuccess"><%= Resource("Product_LabelAddToCartSuccess") %></p>
            <p class="text-error hide" id="addToCartFail"><%= Resource("Product_LabelAddToCartFail") %></p>
            <div class="controls">
                <button type="submit" class="btn btn-primary addToCartBtn" id="addToCartBtn"><%= Resource("Product_LabelAddToCart") %></button>
            </div>
        </div>
    </div>
<script type="text/javascript">var addthis_config = { "data_track_addressbar": false };</script>
    <script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=ra-507f4d31080a8fef"></script>
    <script type="text/javascript">
        manageProductImages();
        registerAddToCart();
        <% if (product.Variants != null && product.Variants.Any())
           {
            foreach (var variant in product.Variants) { %>
                AddVariantCombination('<%=variant.Size%>', '<%=variant.ProductColor%>', '<%=variant.Id%>'); 0
            <% } %>
            VariantSelectionChanged();
        <% } %>
    </script>
