/// <reference path="_references.js" />

var breakpoint = 990;
var isDesktop = true;
var docHeight = 0;
var docWidth = 0;

$(document).ready(function () {
    setClientType();
});

function manageShippingBillingAddresses() {
    $(document).ready(function () {
        $("#shipToBillingAddress").click(function () {
            if ($(this).is(":checked") == true) {
                $("#shippingSection").hide();
            }
            else {
                $("#shippingSection").show();
            }
        });
    });
}

function setupCheckoutPage() {
    $(document).ready(function () {
        if ($("#shipToBillingAddress").is(":checked") == true) {
            $("#shippingSection").hide();
        }
        else {
            $("#shippingSection").show();
        }
    });
}

function setupFloatOver() {
    $(document).ready(function () {

        $(".thumbnail").hover(function () {
            if (isDesktop) {
                $(this).find(".detailsFloatOver").fadeIn(300);
            }
        },
        function () {
            if (isDesktop) {
                $(this).find(".detailsFloatOver").fadeOut(300);
            }
        });
    });
}

function setupPlaceholder() {
    $('input, textarea').placeholder();
}

function manageHeaderMenu() {

    $(document).ready(function () {

        $("#shopLink").hover(function () {
            if (isDesktop) {
                $("#headerMenu").fadeIn(300);
                $("#miniCart").fadeOut(300);
            }
        },
        function () {
            // hover away
        });

        $("#headerMenu").hover(function () {
            // hover in
        },
        function () {
            if (isDesktop) {
                $("#headerMenu").fadeOut(500);
            }
        });

        $("#wrap").hover(function () {
            if (isDesktop) {
                $("#headerMenu").fadeOut(500);
            }
        },
        function () {
            // hover out
        });
    });

}

function manageHeaderMiniCart() {
    $(document).ready(function () {

        $("#miniCartLink").hover(function () {
            if (isDesktop) {
                $("#miniCart").fadeIn(300);
                $("#headerMenu").fadeOut(300);
            }
        },
        function () {
            // hover away
        });

        $("#miniCart").hover(function () {
            // hover in
        },
        function () {
            if (isDesktop) {
                $("#miniCart").fadeOut(500);
            }
        });

        $("#wrap").hover(function () {
            if (isDesktop) {
                $("#miniCart").fadeOut(500);
            }
        },
        function () {
            // hover out
        });
    });
}

function manageProductImages() {
    $(document).ready(function () {

        $("#productImages .thumbnails a").click(function (e) {
            var index = $("#productImages .thumbnails a").index($(this));
            $("#myCarousel").carousel(index);

            if (!isDesktop) {

                // scroll to the top to make sure the user can see teh changed image
                e.preventDefault();
                $('html, body').animate({ scrollTop: 0 });
            }

            return false;
        });

    });
}

function manageCartActions() {
    $(document).ready(function () {

        $(".removeLineItem").click(function () {

            var lineItem = $(this);
            var lineItemId = lineItem.attr("data-ajax-lineitemid");

            AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CartControllerPage.aspx/DeleteLineItem", "{'lineItemId':'" + lineItemId + "'}", deleteLineItemResponse, lineItem);

            return false;
        });

        $(".refreshLineItem").click(function () {

            var lineItem = $(this);
            var lineItemId = lineItem.attr("data-ajax-lineitemid");
            var quantity = lineItem.closest("tr").find(".quantity").val();

            AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CartControllerPage.aspx/UpdateLineItem", "{'lineItemId':'" + lineItemId + "', 'quantity': " + quantity + "}", updateLineItemResponse, lineItem);

            return false;
        });
    });
}

function deleteLineItemResponse(data, success, sender) {

    $("#cartContainer").parent().html(data);
    $("#cartContainer").find("input[type='number']").inputNumber();
    manageCartActions();
    UpdateMiniCart();
}

function updateLineItemResponse(data, success, sender) {

    $("#cartContainer").parent().html(data);
    $("#cartContainer").find("input[type='number']").inputNumber();
    manageCartActions();
    UpdateMiniCart();
}

$(window).resize(function () { //Update dimensions on resize    
    setClientType();
});

function setClientType() {
    docWidth = document.documentElement.clientWidth;
    docHeight = document.documentElement.clientHeight;
    checkMobile();
}

//Check if Mobile
function checkMobile() {
    isDesktop = (docWidth > breakpoint) ? true : false;

    if (isDesktop) {

    } else {

    }
}

function registerAddToCart() {
    $("#addToCartBtn").click(function () {

        var productId = $("#productId").val();
        var variantId = $("#variantId").val();
        var quantity = $("#quantity").val();

        variantId = (variantId == undefined) ? "" : variantId;

        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CartControllerPage.aspx/addtocart", "{'productId':'" + productId + "', 'variantId':'" + variantId + "', 'quantity':" + quantity + "}", addToCartResponse, null);

        return false;
    });
}

function RegisterCheckout() {
    $("#Checkout").click(function () {
        var form = $("#checkoutContainer");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CheckoutControllerPage.aspx/checkout", payload, CheckoutResponse, null);

        return false;
    });
}

function RegisterRecalculate() {
    $("#Recalculate").click(function () {
        var form = $("#checkoutContainer");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CheckoutControllerPage.aspx/recalculate", payload, RecalculateResponse, null);

        return false;
    });
}

function CheckoutResponse(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#checkoutFailure").show();
    } else {
        window.location.href = data.RedirectUrl;
    }
}

function RecalculateResponse(data, success, sender) {
    if (success != false) {
        if (data.Success == true) {
            $("#checkoutContainer").parent().html(data.HtmlPayload);
        } else {
            // Display errors
        }
    }
}

function RegisterSignIn() {
    $("#SignIn").click(function () {
        var form = $("#SignInContainer");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/AuthenticationControllerPage.aspx/SignIn", payload, SignInResponse, null);

        return false;
    });

    $("#Cancel").click(function () {
        $("#userName").val("");
        $("#password").val("");
    });
}

function SignInResponse(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#signInFailure").show();
    } else {
        window.location.href = data.RedirectUrl;
    }
}

function RegisterForgotPassword() {
    $("#SecurityQuestion").click(function () {
        var form = $("#fpContainer1");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/AuthenticationControllerPage.aspx/ForgotPassword1", payload, ForgotPasswordResponse, null);

        return false;
    });
}

function ForgotPasswordResponse(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#forgotPasswordFailure").show();
    } else {
        ForgotPasswordLoadStep2(data.HtmlPayload);
    }
}

function ForgotPasswordLoadStep2(data) {
    $("#fpContainer1").parent().html(data);
    $("#Reset").click(function () {
        var form = $("#fpContainer1");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/AuthenticationControllerPage.aspx/ForgotPassword2", payload, ForgotPasswordResponse2, null);

        return false;
    });
}

function ForgotPasswordResponse2(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#forgotPasswordFailure").show();
    } else {
        $("#fpContainer1").parent().html(data.HtmlPayload);
    }
}

function RegisterChangePassword() {
    $("#ChangePassword").click(function () {
        var form = $("#ChangePasswordContainer");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/AuthenticationControllerPage.aspx/ChangePassword", payload, ChangePasswordResponse, null);

        return false;
    });

    $("#Cancel").click(function () {
        $("#currentPassword").val("");
        $("#newPassword").val("");
        $("#confirmPassword").val("");
    });
}

function ChangePasswordResponse(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#changePasswordFailure").show();
    } else {
        window.location.href = data.RedirectUrl;
    }
}

function RegisterCreateAccount() {
    $("#Register").click(function () {
        var form = $("#registerContainer");
        var formObject = form.serializeObject();
        var payload = JSON.stringify(formObject);
        AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/AuthenticationControllerPage.aspx/Register", payload, CreateAccountResponse, null);

        return false;
    });

    $("#Cancel").click(function () {
        $("#firstName").val("");
        $("#lastName").val("");
        $("#email").val("");
        $("#confirmEmail").val("");
        $("#password").val("");
        $("#confirmPassword").val("");
        $("#securityAnswer").val("");
        $("#securityQuestion").val("");
    });
}

function CreateAccountResponse(data, success, sender) {
    if (success == false || data.Success == false) {
        $("#registerFailure").show();
    } else {
        window.location.href = data.RedirectUrl;
    }
}

function addToCartResponse(data, success, sender) {
    if (data == true) {
        $("#addToCartSuccess").show().fadeOut(4000);
        UpdateMiniCart();
    }
    else {
        $("#addToCartFail").show().fadeOut(4000);
    }
}

function UpdateMiniCart() {
    AJAXPost("/_layouts/CommerceServerContrib.Farm/ControllerPages/CartControllerPage.aspx/minicart", null, function (data) { $("#miniCartLink").html(data); }, null);
}

function AddVariantCombination(size, productColor, id) {
    if (!window.variantCombinationsArray) {
        window.variantCombinationsArray = new Array();
    }

    window.variantCombinationsArray[size + '_' + productColor] = id;
}

function GetVariantIdByCombination(size, productColor) {
    if (!window.variantCombinationsArray || !window.variantCombinationsArray[size + '_' + productColor]) {
        return -1;
    }

    return window.variantCombinationsArray[size + '_' + productColor];
}

function VariantSelectionChanged() {
    var size = '';
    var color = '';

    var variantSizeDropDown = document.getElementById("variantSize");
    var variantProductColorDropDown = document.getElementById("variantColour");

    if (variantSizeDropDown) {
        size = variantSizeDropDown.value;
    }

    if (variantProductColorDropDown) {
        color = variantProductColorDropDown.value;
    }

    document.getElementById('variantId').value = GetVariantIdByCombination(size, color);
}

function AJAXGet(url, data, responseFunction, sender) {
    AJAXCall("GET", url, data, responseFunction, sender);
}

function AJAXPost(url, data, responseFunction, sender) {
    AJAXCall("POST", url, data, responseFunction, sender);
}

function AJAXCall(callType, url, data, responseFunction, sender) {
    $.ajax({
        type: callType,
        url: url,
        data: data,
        cache: false,
        contentType: "application/json; charset=utf-8",
        success: function (data) {
            if (responseFunction != null) {
                responseFunction(data.d, true, sender);
            }
        },
        error: function (data) {
            if (responseFunction != null) {
                responseFunction(data.d, false, sender);
            }
        }
    });
}

/// <summary>
/// Loops through all of the form fields and returns a JSON object with the values found
/// </summary>
$.fn.serializeObject = function () {
    var o = {};
    var formElements = this.find("input, select, textarea");

    $.each(formElements, function () {

        if (o[this.name]) {

            if (this.type == "checkbox") {
                if (this.checked == true) {
                    if (!o[this.name].push) {
                        o[this.name] = [o[this.name]];
                    }

                    o[this.name].push(true || '');
                }
            }
            else if (this.type == "radio") {
                if (this.checked == true) {
                    o[this.name] = EncodeForPosting(this.value) || '';
                }
            }
            else {
                o[this.name] = EncodeForPosting(this.value) || '';
            }
        }
        else {

            if (this.type == "checkbox") {
                if (this.checked == true) {
                    o[this.name] = true || '';
                }
                else {
                    o[this.name] = false;
                }
            }
            else if (this.type == "radio") {
                if (this.checked == true) {
                    o[this.name] = EncodeForPosting(this.value) || '';
                }
            }
            else {
                o[this.name] = EncodeForPosting(this.value) || '';
            }
        }

    });

    return o;
};

function EncodeForPosting(postValue, encodeQuote) {

    if (postValue == null || postValue == "") {
        return postValue;
    }

    if (encodeQuote == null || encodeQuote == true) {
        var quoteReg = new RegExp("\"", "g");

        var responseValue = escape(postValue.replace(quoteReg, "\\\"")).replace(/\+/g, "%2B").replace(/\\/g, "%5C");

        return responseValue;
    }

    var responseValue = escape(postValue).replace(/\+/g, "%2B").replace(/\\/g, "%5C");

    return responseValue;

}