﻿//-----------------------------------------------------------------------
// <copyright file="Basket.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Partial class for Basket which allows for setting PaymentMethod and use billing address for shipping address bool property</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support.Entities
{
    using CommerceServer.Foundation;
    using CommerceServerContrib.SharePoint.Support.ViewModels;

    /// <summary>
    /// Partial class for Basket which allows for setting PaymentMethod and use billing address for shipping address bool property
    /// </summary>
    public partial class Basket
    {
        #region Property Keys
        private const string UseBillingAsShippingKey = "UseBillingAsShipping_AC85A976-A121-42B2-B9E3-0C500A7A5F94";
        private const string PaymentMethodKey = "PaymentMethod_994D78D5-6D4E-4BC6-B6C4-FB7DBC371702";
        #endregion

        /// <summary>
        /// Gets or sets the payment method.
        /// </summary>
        /// <value>
        /// The payment method.
        /// </value>
        public PaymentMethodViewModel PaymentMethod
        {
            get
            {
                if (this.Properties.Contains(PaymentMethodKey))
                {
                    return new PaymentMethodViewModel(this.Properties[PaymentMethodKey] as CommerceEntity);
                }

                return null;
            }

            set
            {
                this.Properties[PaymentMethodKey] = value.ToCommerceEntity();
            }
        }

        /// <summary>
        /// Gets or sets the user billing as shipping.
        /// </summary>
        /// <value>
        /// The user billing as shipping.
        /// </value>
        public bool? UserBillingAsShipping
        {
            get
            {
                return this.Properties[UseBillingAsShippingKey] as bool?;
            }

            set
            {
                this.Properties[UseBillingAsShippingKey] = value;
            }
        }
    }
}
