﻿//-----------------------------------------------------------------------
// <copyright file="SPUserSecurityManagementModule.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>SharePoint specific extension of the UserSecurityManagementModule in Commerce Server. </summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support
{
    using System;
    using CommerceServerContrib.Web;

    /// <summary>
    /// SharePoint specific extension of the UserSecurityManagementModule in Commerce Server. 
    /// </summary>
    public class SPUserSecurityManagementModule : UserSecurityManagementModule
    {
        /// <summary>
        /// Tries the get registered user info.
        /// </summary>
        /// <param name="registeredUser">The registered user.</param>
        /// <returns>
        /// The current user
        /// </returns>
        protected override bool TryGetRegisteredUserInfo(out CommerceServerContrib.CrossTier.Entities.User registeredUser)
        {
            bool returnValue = base.TryGetRegisteredUserInfo(out registeredUser);
            registeredUser.IsWindowsIdentity = registeredUser.Name.StartsWith("0#.w|", StringComparison.OrdinalIgnoreCase);

            return returnValue;
        }
    }
}
