﻿//-----------------------------------------------------------------------
// <copyright file="WebMethodResponse.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>A simple object for returning responses from [WebMethod]s in order to provide more complex information.</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support.Pages
{
    using System.Collections.Generic;

    /// <summary>
    /// A simple object for returning responses from [WebMethod]s in order to provide more complex information.
    /// </summary>
    public class WebMethodResponse
    {
        /// <summary>
        /// Gets or sets a value indicating whether call is a success.
        /// </summary>
        /// <value>
        ///   <c>true</c> if success; otherwise, <c>false</c>.
        /// </value>
        public bool Success { get; set; }

        /// <summary>
        /// Gets or sets the url that the action should be redirected to.
        /// </summary>
        /// <value>
        /// The redirect URL.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Justification = "Simplified response that is going to be used as JSON.")]
        public string RedirectUrl { get; set; }

        /// <summary>
        /// Gets or sets the HTML payload.
        /// </summary>
        /// <value>
        /// The HTML payload.
        /// </value>
        public string HtmlPayload { get; set; }

        /// <summary>
        /// Gets or sets the error messages.
        /// </summary>
        /// <value>
        /// The error messages.
        /// </value>
        public List<string> ErrorMessages { get; set; }
    }
}
