﻿//-----------------------------------------------------------------------
// <copyright file="VariantViewModel.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>A ViewModel for displaying Variants.</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support.ViewModels
{
    /// <summary>
    /// A ViewModel for displaying Variants.
    /// </summary>
    public class VariantViewModel
    {
        /// <summary>
        /// Gets or sets the Variant Id.
        /// </summary>
        public string Id
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the Variant DisplayName.
        /// </summary>
        public string DisplayName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the related Product Id.
        /// </summary>
        public string ProductId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the Variant ListPrice.
        /// </summary>
        public decimal? ListPrice
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the Variant Color.
        /// </summary>
        public string ProductColor
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the Variant Size.
        /// </summary>
        public string Size
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the VariantCode.
        /// </summary>
        public int? VariantCode
        {
            get;
            set;
        }
    }
}
