﻿//-----------------------------------------------------------------------
// <copyright file="IConfigurationMappedItem.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the IConfigurationMappedItem class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Interface that represents an item that is mapped to a <see cref="System.Configuration.ConfigurationElement"/>.
    /// </summary>
    public interface IConfigurationMappedItem
    {
        /// <summary>
        /// Gets a value indicating whether this item was mapped to a configuration element.
        /// </summary>
        bool IsMappedToConfiguration
        {
            get;
        }
    }
}
