﻿//-----------------------------------------------------------------------
// <copyright file="BasePresentationElement.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the BasePresentationElement class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Configuration
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Configuration;

    /// <summary>
    /// Base class for presentation configuration elements.
    /// </summary>
    public abstract class BasePresentationElement : ConfigurationElement
    {
        /// <summary>
        /// Gets a value indicating whether this configuration element is mapped to XML.
        /// </summary>
        public bool IsMappedToXml
        {
            get;
            private set;
        }

        /// <summary>
        /// Reads XML from the configuration file.
        /// </summary>
        /// <param name="reader">The XmlReader that reads from the configuration file.</param>
        /// <param name="serializeCollectionKey">true to serialize only the collection key properties; otherwise, false.</param>
        protected override void DeserializeElement(System.Xml.XmlReader reader, bool serializeCollectionKey)
        {
            base.DeserializeElement(reader, serializeCollectionKey);
            this.IsMappedToXml = (reader != null);
        }
    }
}
