﻿//-----------------------------------------------------------------------
// <copyright file="BrandElementCollection.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the BrandElementCollection class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Configuration
{
    using System;
    using System.Configuration;

    /// <summary>
    /// Represents Brand configuration element from the configuration file.
    /// </summary>
    [ConfigurationCollection(typeof(BrandElement), AddItemName = "brand")]
    public class BrandElementCollection : BasePresentationElementCollection
    {
        /// <summary>
        /// Creates a new <see cref="BrandElement"/>.
        /// </summary>
        /// <returns>A new <see cref="BrandElement"/>.</returns>
        protected override ConfigurationElement CreateNewElement()
        {
            return new BrandElement();
        }

        /// <summary>
        /// Gets the element key for a specified configuration element when overridden in a derived class.
        /// </summary>
        /// <param name="element">The <see cref="T:System.Configuration.ConfigurationElement"/> to return the key for.</param>
        /// <returns>
        /// An <see cref="T:System.Object"/> that acts as the key for the specified <see cref="T:System.Configuration.ConfigurationElement"/>.
        /// </returns>
        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((BrandElement)element).Name;
        }
    }
}
