﻿//---------------------------------------------------------------------
// <copyright file="CommerceServerContribConfiguration.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Configuration
{
    using System.Configuration;
    using System.Diagnostics;

    /// <summary>
    /// Handles the "commerceServerContrib" configuration section.
    /// </summary>
    /// DebuggerNonUserCode is added as a way to stop this object counting against code coverage,
    /// As this is just an entity class there is no reason or benifit to testing it
    [DebuggerNonUserCode]
    public static class CommerceServerContribConfiguration 
    {
        private const string PresentationSectionName = "commerceServerContrib/presentation";

        #region Static (public) methods

        /// <summary>
        /// Gets the presentation configuration section from the configuration file.
        /// </summary>
        public static PresentationConfigurationSection Presentation
        {
            get { return (PresentationConfigurationSection)ConfigurationManager.GetSection(PresentationSectionName); }
        }

        #endregion
    }
}
