﻿//---------------------------------------------------------------------
// <copyright file="EncryptionKeysElementCollection.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>EncryptionKeysElementCollection class</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Configuration
{
    using System.Configuration;
    using System.Diagnostics;

    /// <summary>
    /// EncryptionKeysElementCollection class
    /// </summary>
    [DebuggerNonUserCode]
    public class EncryptionKeysElementCollection : BasePresentationElementCollection
    {
        #region Overrides

        /// <summary>
        /// Gets a value indicating that this is a basic map
        /// </summary>
        public override ConfigurationElementCollectionType CollectionType
        {
            get
            {
                return ConfigurationElementCollectionType.BasicMap;
            }
        }

        /// <summary>
        /// Gets a value indicating the name of the child elements
        /// </summary>
        protected override string ElementName
        {
            get
            {
                return "encryptionKey";
            }
        }
        
        /// <summary>
        /// Gets or sets a property, attribute, or child element of this configuration element.
        /// </summary>
        /// <param name="prop"> is read-only or locked.</param>
        /// <returns>The specified property, attribute, or child element</returns>
        public new EncryptionKeyElementCollection this[string prop]
        {
            get
            {
                return this.BaseGet(prop) as EncryptionKeyElementCollection;
            }
        }

        /// <summary>
        /// Creates a new CacheElement
        /// </summary>
        /// <returns>A new CacheElement</returns>
        protected override ConfigurationElement CreateNewElement()
        {
            return new EncryptionKeyElementCollection();
        }

        /// <summary>
        /// Gets the element key of a element
        /// </summary>
        /// <param name="element">The element who's key is required</param>
        /// <returns>The key of the element</returns>
        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((EncryptionKeyElementCollection)element).Name;
        }

        #endregion
    }
}
