﻿//---------------------------------------------------------------------
// <copyright file="ExceptionHandlingElement.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Configuration
{
    using System.Configuration;
    using System.Diagnostics;

    /// <summary>
    /// "exceptionHandling" element of the Presentation configuration.
    /// </summary>
    /// DebuggerNonUserCode is added as a way to stop this object counting against code coverage,
    /// As this is just an entity class there is no reason or benifit to testing it
    [DebuggerNonUserCode]
    public class ExceptionHandlingElement : BasePresentationElement
    {
        private const string DefaultExceptionPolicyAttributeName = "defaultExceptionPolicy";

        #region Properties (public, non-static)

        /// <summary>
        /// Gets or sets the default exception policy.
        /// </summary>
        /// <value>
        /// The default exception policy.
        /// </value>
        [ConfigurationProperty(DefaultExceptionPolicyAttributeName, IsRequired = true)]
        public string DefaultExceptionPolicy
        {
            get { return (string)this[DefaultExceptionPolicyAttributeName]; }
            set { this[DefaultExceptionPolicyAttributeName] = value; }
        }

        #endregion
    }
}
