﻿namespace CommerceServerContrib.CrossTier.Configuration
{
    using System.Configuration;

    /// <summary>
    /// A ConfigurationElement for grouping settings in a web application.  
    /// </summary>
    public class GroupElement : BasePresentationElement
    {
        private const string IdAttributeName = "id";
        private const string SettingAttributeName = "settings";

        /// <summary>
        /// Gets or sets the id of the group.
        /// </summary>
        /// <value>
        /// The id.
        /// </value>
        [ConfigurationProperty(IdAttributeName, IsRequired = true)]
        public string Id
        {
            get { return (string)this[IdAttributeName]; }
            set { this[IdAttributeName] = value; }
        }

        /// <summary>
        /// Gets the settings for the group.
        /// </summary>
        /// <value>
        /// The settings.
        /// </value>
        [ConfigurationProperty(SettingAttributeName, IsRequired = false)]
        public SettingElementCollection Settings
        {
            get { return (SettingElementCollection)this[SettingAttributeName]; }
        }
    }
}
