﻿namespace CommerceServerContrib.CrossTier.Configuration
{
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// A ConfigurationElement that holds individual localized settings.
    /// </summary>
    public class LocalizedSettingElement : BasePresentationElement
    {
        private const string KeyAttributeName = "key";
        private const string ValueAttributeName = "value";

        /// <summary>
        /// Gets or sets the key (locale).
        /// </summary>
        /// <value>
        /// The key (locale).  LCID or *.
        /// </value>
        [ConfigurationProperty(KeyAttributeName, IsRequired = true)]
        public string Key
        {
            get { return (string)this[KeyAttributeName]; }
            set { this[KeyAttributeName] = value; }
        }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>
        /// The value.
        /// </value>
        [ConfigurationProperty(ValueAttributeName, IsRequired = true)]
        public string Value
        {
            get { return (string)this[ValueAttributeName]; }
            set { this[ValueAttributeName] = value; }
        }
    }
}
