﻿namespace CommerceServerContrib.CrossTier.Configuration
{
    using System.Configuration;

    /// <summary>
    /// An configuration element that is used to hold configuration for a Site.
    /// </summary>
    public class SiteElement : BasePresentationElement
    {
        private const string IdAttributeName = "id";
        private const string GroupsElementName = "groups";

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id.
        /// </value>
        [ConfigurationProperty(IdAttributeName, IsRequired = true)]
        public string Id
        {
            get { return (string)this[IdAttributeName]; }
            set { this[IdAttributeName] = value; }
        }

        /// <summary>
        /// Gets the list of groups in the Site's settings.
        /// </summary>
        /// <value>
        /// The groups.
        /// </value>
        [ConfigurationProperty(GroupsElementName, IsRequired = false)]
        public GroupElementCollection Groups
        {
            get { return (GroupElementCollection)this[GroupsElementName]; }
        }
    }
}
