﻿//-----------------------------------------------------------------------
// <copyright file="RegularExpression.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the BaseArgument class</summary>
//-----------------------------------------------------------------------
// TODO: Should be in product
namespace CommerceServerContrib.CrossTier.Entities
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Runtime.Serialization;
    using CommerceServer.Foundation;

    /// <summary>
    /// Culture specific value.
    /// </summary>
    [DataContract]
    [Serializable]
    public class RegularExpression : CommerceEntity
    {
        /// <summary>
        /// The model name of the this entity
        /// </summary>
        public new const string ModelNameDefinition = "RegularExpression";

        /// <summary>
        /// Initializes a new instance of the <see cref="RegularExpression"/> class.
        /// </summary>
        public RegularExpression()
            : base(ModelNameDefinition)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="RegularExpression"/> class.
        /// </summary>
        /// <param name="modelName">Name of the model.</param>
        public RegularExpression(string modelName)
            : base(modelName)
        {
        }

        /// <summary>
        /// Gets or sets the culture.
        /// </summary>
        /// <value>
        /// The culture.
        /// </value>
        public string Culture
        {
            get { return this.GetPropertyValue(PropertyName.Culture) as string; }
            set { this.SetPropertyValue(PropertyName.Culture, value); }
        }

        /// <summary>
        /// Gets or sets the message.
        /// </summary>
        /// <value>
        /// The message.
        /// </value>
        public string Value
        {
            get { return this.GetPropertyValue(PropertyName.Value) as string; }
            set { this.SetPropertyValue(PropertyName.Value, value); }
        }

        /// <summary>
        /// Property names for keys in the CommerceEntity Property Collection.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1053:StaticHolderTypesShouldNotHaveConstructors", Justification = "By Commerce Foundation Convention.")]
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible", Justification = "By Commerce Foundation Convention.")]
        public new class PropertyName : CommerceEntity.PropertyName
        {
            /// <summary>
            /// Negated property.
            /// </summary>
            public const string Culture = "Culture";

            /// <summary>
            /// Value property.
            /// </summary>
            public const string Value = "Value";
        }
    }
}
