﻿//-----------------------------------------------------------------------
// <copyright file="RegularExpressionList.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the BaseArgument class</summary>
//-----------------------------------------------------------------------
// TODO: Should be in product
namespace CommerceServerContrib.CrossTier.Entities
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// List of regular expressions
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1710:IdentifiersShouldHaveCorrectSuffix", Justification = "The class really represents a List, not a Collection.")]
    [Serializable]
    public class RegularExpressionList : List<RegularExpression>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RegularExpressionList"/> class that is empty and has the default initial capacity.
        /// </summary>
        public RegularExpressionList()
            : base()
        {
        }

        /// <summary>
        ///     Initializes a new instance of the <see cref="RegularExpressionList"/> class
        ///     that contains elements copied from the specified collection and has sufficient
        ///     capacity to accommodate the number of elements copied.
        /// </summary>
        /// <param name="collection">The collection whose elements are copied to the new list.</param>
        /// <exception cref="System.ArgumentNullException">collection is null.</exception>
        public RegularExpressionList(IEnumerable<RegularExpression> collection)
            : base(collection)
        {
        }

        /// <summary>
        ///     Initializes a new instance of the <see cref="RegularExpressionList"/> class
        ///     that is empty and has the specified initial capacity.
        /// </summary>
        /// <param name="capacity">The number of elements that the new list can initially store.</param>
        /// <exception cref="System.ArgumentOutOfRangeException">capacity is less than 0.</exception>
        public RegularExpressionList(int capacity)
            : base(capacity)
        {
        }
    }
}
