﻿//---------------------------------------------------------------------
// <copyright file="SiteSettingsResponse.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>SiteSettingsResponse class</summary>
//---------------------------------------------------------------------
// TODO: this needs to go to the backend or go away
namespace CommerceServerContrib.CrossTier.Entities
{
    using System.Collections.Generic;
    using System.Diagnostics;
    using System.Linq;
    using CommerceServerContrib.CrossTier.Configuration;

    /// <summary>
    /// SiteSettingsResponse class
    /// </summary>
    [DebuggerNonUserCode]
    public class SiteSettingsResponse
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SiteSettingsResponse" /> class.
        /// </summary>
        /// <param name="element">The <see cref="SettingElement" /> element the SiteSettingResponse is to be based on.</param>
        public SiteSettingsResponse(SettingElement element)
        {
            this.Key = element.Key;
            this.Value = element.Value;
            this.LocalizedValues = new Dictionary<string, string>();
            foreach (LocalizedSettingElement item in element.LocalizedSettings)
            {
                this.LocalizedValues.Add(item.Key, item.Value);
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SiteSettingsResponse" /> class.
        /// </summary>
        public SiteSettingsResponse()
        {
        }

        /// <summary>
        /// Gets or sets the value of the setting.
        /// </summary>
        public string Value
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the key of the setting.
        /// </summary>
        public string Key
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the localized values.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Justification = "Needs to be reset.")]
        public Dictionary<string, string> LocalizedValues
        {
            get;
            set;
        }
    }
}