﻿//---------------------------------------------------------------------
// <copyright file="UserCookie.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>The UserCookie class.</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Entities
{
    using System.Diagnostics;
    using System.Runtime.Serialization;

    /// <summary>
    /// UserCookie entity class
    /// </summary>
    [System.Serializable, DataContract]
    [DebuggerNonUserCode]
    public class UserCookie
    {
        /// <summary>
        /// Gets or sets the name of the user.
        /// </summary>
        /// <value>
        /// The name of the user.
        /// </value>
        [DataMember]
        public User User
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the name of the cookie.
        /// </summary>
        /// <value>
        /// The name of the cookie.
        /// </value>
        [DataMember]
        public string CookieName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the expiration date.
        /// </summary>
        /// <value>
        /// The expiration date.
        /// </value>
        [DataMember]
        public System.DateTime ExpirationDate
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the issue date.
        /// </summary>
        /// <value>
        /// The issue date.
        /// </value>
        [DataMember]
        public System.DateTime IssueDate
        {
            get;
            set;
        }
    }
}