﻿//---------------------------------------------------------------------
// <copyright file="ParameterSelection.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Entities
{
    using System;
    using System.Diagnostics;

    /// <summary>
    /// Used to store how a user will fill out a parameter instance
    /// </summary>
    /// DebuggerNonUserCode is added as a way to stop this object counting against code coverage,
    /// As this is just an entity class there is no reason or benifit to testing it
    [DebuggerNonUserCode]
    [Serializable]
    public class ParameterSelection
    {
        /// <summary>
        /// Gets or sets the id for the parameter.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Gets or sets the way the user would like to set the value for the parameter.
        /// </summary>
        /// <remarks>It is a open Enumeration list of possible values ie.e., QueryString etc.</remarks>
        public string SetType { get; set; }

        /// <summary>
        /// Gets or sets the value the user would like to pass to the parameter. 
        /// </summary>
        public string ContextValue { get; set; }

        /// <summary>
        /// Gets or sets teh default value of the parameter.
        /// </summary>
        public string DefaultValue { get; set; }
    }
}
