﻿//---------------------------------------------------------------------
// <copyright file="SearchPropertyShouldNotBeSpecifiedException.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Exceptions
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Security.Permissions;
    using System.Runtime.Serialization;

    /// <summary>
    /// Exception thrown when the combination of search properties does not make sense.
    /// </summary>
    [Serializable]
    public class SearchPropertyShouldNotBeSpecifiedException : CommerceServerContribBaseException
    {
        #region Constructors (public)

        /// <summary>
        /// Initializes a new instance of the SearchPropertyShouldNotBeSpecifiedException class.
        /// </summary>
        /// <param name="message">The message.</param>
        public SearchPropertyShouldNotBeSpecifiedException(string message)
            : this(message, (Exception)null)
        {
        }

        #endregion

        #region Constructor (protected)

        /// <summary>
        /// Initializes a new instance of the SearchPropertyShouldNotBeSpecifiedException class.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Justification = "We do not want devs to use these")]
        protected SearchPropertyShouldNotBeSpecifiedException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the SearchPropertyShouldNotBeSpecifiedException class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Justification = "We do not want devs to use these")]
        protected SearchPropertyShouldNotBeSpecifiedException(string message, Exception innerException)
            : base(String.Empty, message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the SearchPropertyShouldNotBeSpecifiedException class.
        /// </summary>
        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"/> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="T:System.Runtime.Serialization.StreamingContext"/> that contains contextual information about the source or destination.</param>
        /// <exception cref="T:System.ArgumentNullException">The <paramref name="info"/> parameter is null. </exception>
        ///   
        /// <exception cref="T:System.Runtime.Serialization.SerializationException">The class name is null or <see cref="P:System.Exception.HResult"/> is zero (0). </exception>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Justification = "We do not want devs to use these")]
        protected SearchPropertyShouldNotBeSpecifiedException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion

        #region Overrides

        /// <summary>
        /// When overridden in a derived class, sets the <see cref="T:System.Runtime.Serialization.SerializationInfo"/> with information about the exception.
        /// </summary>
        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"/> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="T:System.Runtime.Serialization.StreamingContext"/> that contains contextual information about the source or destination.</param>
        /// <exception cref="T:System.ArgumentNullException">
        /// The <paramref name="info"/> parameter is a null reference (Nothing in Visual Basic).
        ///   </exception>
        ///   
        /// <PermissionSet>
        ///   <IPermission class="System.Security.Permissions.FileIOPermission, mscorlib, Version=2.0.3600.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" version="1" Read="*AllFiles*" PathDiscovery="*AllFiles*"/>
        ///   <IPermission class="System.Security.Permissions.SecurityPermission, mscorlib, Version=2.0.3600.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" version="1" Flags="SerializationFormatter"/>
        /// </PermissionSet>
        [SecurityPermission(SecurityAction.LinkDemand, Flags = SecurityPermissionFlag.SerializationFormatter)]
        public override void GetObjectData(SerializationInfo info, StreamingContext context)
        {
            base.GetObjectData(info, context);
        }

        #endregion
    }
}
