﻿//---------------------------------------------------------------------
// <copyright file="CacheConstants.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Helpers
{
    /// <summary>
    /// Name of the known Commerce Server caches.
    /// </summary>
    public static class CacheConstants
    {
        /// <summary>
        /// Request Template Result Catalog cache
        /// </summary>
        public const string CatalogCache = "Catalog";

        /// <summary>
        /// DiskFileProvider cache
        /// </summary>
        public const string DiskFileCache = "DiskFileCache";

        /// <summary>
        /// Entity definition cache.
        /// </summary>
        public const string EntityDefinitionCache = "EntityDefinitionCache";

        /// <summary>
        /// Request template cache.
        /// </summary>
        public const string RequestTemplateCache = "RequestTemplateCache";

        /// <summary>
        /// The resource cache.
        /// </summary>
        public const string ResourceCache = "ResourceCache";

        /// <summary>
        /// Webpart outpout cache.
        /// </summary>
        public const string WebPartOutputCache = "WebPartOutputCache";

        /// <summary>
        /// XSLT compiled transform cache.
        /// </summary>
        public const string XslCompiledTransform = "XslCompiledTransform";

        /// <summary>
        /// Caches used to stores SharePoint page properties.
        /// </summary>
        public const string SharePointPagePropertiesCache = "SharePointPageProperties";
    }
}
