﻿//---------------------------------------------------------------------
// <copyright file="CrossTierServiceLocator.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Helpers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Service locator for the cross-tier code.
    /// </summary>
    public class CrossTierServiceLocator : BaseServiceLocator
    {
        private static CrossTierServiceLocator _crossTierServiceLocator = null;
        private static object _syncRoot = new object();

        #region Static (public, static)

        /// <summary>
        /// Gets the current instance of the CrossTierServiceLocator class.
        /// </summary>
        public static CrossTierServiceLocator Current
        {
            get
            {
                if (_crossTierServiceLocator == null)
                {
                    lock (_syncRoot)
                    {
                        if (_crossTierServiceLocator == null)
                        {
                            _crossTierServiceLocator = new CrossTierServiceLocator();
                        }
                    }
                }

                return _crossTierServiceLocator;
            }
        }

        #endregion
    }
}
