﻿//---------------------------------------------------------------------
// <copyright file="LocalizedValueHelper.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Helpers
{
    using CommerceServer.Foundation;
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Class representing helper methods for localized values
    /// </summary>
    public static class LocalizedValueHelper
    {
        /// <summary>
        /// This method retreives localized values from a dictionary
        /// </summary>
        /// <param name="localizedValues">Dictionary representing all localized values</param>
        /// <param name="requiredCulture">The desired culture</param>
        /// <returns>The localized value if found, an empty string if not </returns>
        public static string Get(Dictionary<string, string> localizedValues, string requiredCulture)
        {
            ParameterChecker.CheckForNull(localizedValues, "localizedValues");
            ParameterChecker.CheckForNull(requiredCulture, "requiredCulture");

            if (localizedValues.ContainsKey(requiredCulture))
            {
                return localizedValues[requiredCulture];
            }

            if (localizedValues.ContainsKey("*"))
            {
                return localizedValues["*"];
            }
            
            return String.Empty;
        }
    }
}
