﻿//---------------------------------------------------------------------
// <copyright file="ParameterChecker.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
// TODO: add it product
namespace CommerceServerContrib.CrossTier.Helpers
{
    using System;
    using System.Globalization;

    /// <summary>
    /// Utility class with helper methods
    /// </summary>
    public static class CommerceParameterChecker
    {
        /// <summary>
        /// Throws an exception if a property of the class being invoked is null or an empty string.
        /// </summary>
        /// <param name="property">The property to check.</param>
        /// <param name="propertyOwnerInstance">The object to which the property belongs.</param>
        /// <param name="propertyName">The name of the property.</param>
        public static void CheckForNullOrEmptyProperty(string property, object propertyOwnerInstance, string propertyName)
        {
            if (string.IsNullOrEmpty(property))
            {
                if (propertyOwnerInstance != null)
                {
                    string message = string.Format(
                        CultureInfo.CurrentCulture,
                        CrossTierResources.ErrorPropertyIsNullOrEmpty_Class_Property,
                        propertyOwnerInstance.GetType().Name,
                        propertyName);
                    throw new InvalidOperationException(message);
                }
                else
                {
                    string message = string.Format(
                        CultureInfo.CurrentCulture,
                        CrossTierResources.ErrorPropertyIsNullOrEmpty_Property,
                        propertyName);
                    throw new InvalidOperationException(message);
                }
            }
        }
    }
}
