﻿//---------------------------------------------------------------------
// <copyright file="ValidatorsStrings.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Helpers
{
    /// <summary>
    /// A place to store validator constants
    /// </summary>
    public static class Validators
    {
        /// <summary>
        /// A place to store range validator constants
        /// </summary>
        public static class RangeValidator
        {
            /// <summary>
            /// Validatior model name
            /// </summary>
            public const string ModelName = "RangeConstraint";

            /// <summary>
            /// A place to store validator json names
            /// </summary>
            public static class ValidatorJsonName
            {
                /// <summary>
                /// Range length json name
                /// </summary>
                public const string RangeLength = "rangelength";

                /// <summary>
                /// Range value json name
                /// </summary>
                public const string RangeValue = "range";
            }

            /// <summary>
            /// A place to store validator properties
            /// </summary>
            public static class PropertyName
            {
                /// <summary>
                /// Max boundary type property name
                /// </summary>
                public const string MaxBoundaryType = "MaxBoundaryType";

                /// <summary>
                /// Max value type property name
                /// </summary>
                public const string MaxValue = "MaxValue";

                /// <summary>
                /// Min boundary type property name
                /// </summary>
                public const string MinBoundaryType = "MinBoundaryType";

                /// <summary>
                /// Min value property name
                /// </summary>
                public const string MinValue = "MinValue";
            }
        }

        /// <summary>
        /// A place to store required validator constants
        /// </summary>
        public static class RequiredValidator
        {
            /// <summary>
            /// Validatior model name
            /// </summary>
            public const string ModelName = "RequiredPropertyConstraint";

            /// <summary>
            /// Validator json name
            /// </summary>
            public const string ValidatorJsonName = "required";
        }

        /// <summary>
        /// A place to store regular expression validator constants
        /// </summary>
        public static class RegularExpression
        {
            /// <summary>
            /// Validator model name
            /// </summary>
            public const string ModelName = "RegularExpressionConstraint";

            /// <summary>
            /// Validator json name
            /// </summary>
            public const string ValidatorJsonName = "regex";

            /// <summary>
            /// A place to store validator properties
            /// </summary>
            public static class PropertyName
            {
                /// <summary>
                /// Pattern property name
                /// </summary>
                public const string Pattern = "Pattern";
            }
        }
    }
}
