﻿//---------------------------------------------------------------------
// <copyright file="IFileProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    /// <summary>
    /// Implemented by all classes that retrieve contents of files
    /// </summary>
    public interface IFileProvider
    {
        /// <summary>
        /// Gets the file in string format.
        /// </summary>
        /// <param name="path">The path to the file</param>
        /// <returns>The requested file in string form</returns>
        string GetFileAsString(string path);

        /// <summary>
        /// Indicates if the file exists or not.
        /// </summary>
        /// <param name="path">The path to the file.</param>
        /// <returns>true if the file exists; otherwise false.</returns>
        bool FileExists(string path);
    }
}
