﻿//-----------------------------------------------------------------------
// <copyright file="IResourceProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>IResourceProvider Interface.</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Collections.Generic;
    using System.Globalization;

    /// <summary>
    /// Resource Provider
    /// </summary>
    public interface IResourceProvider
    {
        /// <summary>
        /// Gets the resource.
        /// </summary>
        /// <param name="location">The location.</param>
        /// <param name="key">The key to search for.</param>
        /// <returns>The specific resource by key and location</returns>
        string GetResource(string location, string key);

        /// <summary>
        /// Gets the resource.
        /// </summary>
        /// <param name="location">The location.</param>
        /// <param name="key">The key to search for.</param>
        /// <param name="cultureInfo">the culture info.</param>
        /// <returns>The specific resource by key and location</returns>
        string GetResource(string location, string key, CultureInfo cultureInfo);

        /// <summary>
        /// Gets the resources.
        /// </summary>
        /// <returns>All the resources defined</returns>
        List<string> GetResources();
    }
}