﻿//---------------------------------------------------------------------
// <copyright file="IXsltProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Xml.Xsl;

    /// <summary>
    /// Implemented by all classes that retrieve Xslts
    /// </summary>
    public interface IXsltProvider
    {
        /// <summary>
        /// Gets the requested Xslt
        /// </summary>
        /// <param name="path">The path to the XSLT relative to the root of the site</param>
        /// <returns>The requested Xslt in XslCompiledTransform form</returns>
        XslCompiledTransform GetXslt(string path);

        /// <summary>
        /// Indicates if the Xslt file exists or not.
        /// </summary>
        /// <param name="path">The path to the Xslt file.</param>
        /// <returns>true if the fil exists; otherwise false.</returns>
        bool XsltFileExists(string path);
    }
}
