﻿//---------------------------------------------------------------------
// <copyright file="ICacheKeyProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Interfaces
{
    /// <summary>
    /// Generic interface used to return a cache key based on the current context.  This would mostly be called in the context of
    /// Sharepoint to return site collection portion of the cache key that can be tacked on to another string.
    /// </summary>
    public interface ICacheKeyProvider
    {
        /// <summary>
        /// Returns a cache key base on the current context.
        /// </summary>
        /// <returns>The cache key is returned.</returns>
        string GetCacheKey();
    }
}
