﻿//---------------------------------------------------------------------
// <copyright file="IRequestTemplateCacheKeyProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Interfaces
{
    using CommerceServer.Foundation.RequestTemplates;
    using System.Collections.Generic;

    /// <summary>
    /// Returns a cache key to be used when caching the resulting output of a request template.
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1040:AvoidEmptyInterfaces", Justification = "Temporary until missing dependancies become available.")]
    public interface IRequestTemplateCacheKeyProvider
    {
        /// <summary>
        /// Returns the cache key to be used when caching Queued requests.
        /// </summary>
        /// <param name="templateId">The template id.</param>
        /// <param name="inputParameters">The input parameters to the request template.</param>
        /// <param name="outputType">The output type such as XML, JSON, etc...</param>
        /// <param name="culture">The culture of the output data.  If null, the current culture will be used.</param>
        /// <returns>
        /// The cache key is returned based on the given context.
        /// </returns>
        string GetCacheKey(string templateId, RequestTemplateParameterCollection inputParameters, string outputType, string culture);
    }
}
