﻿//---------------------------------------------------------------------
// <copyright file="IContainerAccessor.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using Microsoft.Practices.ServiceLocation;
    using Microsoft.Practices.Unity;

    /// <summary>
    /// The interface that all Unity container accessor must implement
    /// </summary>
    public interface IContainerAccessor
    {
        /// <summary>
        /// Gets the Unity container.
        /// </summary>
        [Dependency]
        IUnityContainer Container { get; }

        /// <summary>
        /// Gets the Unity service locator.
        /// </summary>
        [Dependency]
        IServiceLocator Locator { get; }
    }
}
