﻿//---------------------------------------------------------------------
// <copyright file="IEncryptionProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>IEncryptionProvider interface</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Collections.Generic;

    /// <summary>
    /// IEncryptionProvider interface
    /// </summary>
    public interface IEncryptionProvider
    {
        /// <summary>
        /// Encrypts the specified input value.
        /// </summary>
        /// <param name="valueToEncrypt">The value to encrypt.</param>
        /// <param name="keys">The encryption keys.</param>
        /// <returns>
        /// The inputValue encrypted
        /// </returns>
        string Encrypt(string valueToEncrypt, Dictionary<string, string> keys);

        /// <summary>
        /// Decrypts the specified encrypted value.
        /// </summary>
        /// <param name="encryptedValue">The encrypted value.</param>
        /// <param name="keys">The encryption keys.</param>
        /// <returns>
        /// The encryptedValue decrypted
        /// </returns>
        string Decrypt(string encryptedValue, Dictionary<string, string> keys);
    }
}
