﻿//-----------------------------------------------------------------------
// <copyright file="ISuppressCsrfCheck.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the ISuppressCsrfCheck class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier
{
    /// <summary>
    /// A marker interface for excluding a page from CSRF checks performed by the CommerceServerContribCsrfMitigationModule.
    /// This allows pages which have no code behind to opt-out for the checks.
    /// </summary>
    /// <remarks>
    /// To use add &lt;%@ Implements Interface="Idunno.AntiCsrf.ISuppressCsrfCheck" %&gt; to your ASPX page.
    /// </remarks>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1040:AvoidEmptyInterfaces", Justification = "This is by-design, to allow suppressing CSRF checks on web pages without a code-behind.")]
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Csrf", Justification = "CSRF is a valid acronym.")]
    public interface ISuppressCsrfCheck
    {
    }
}
