﻿//---------------------------------------------------------------------
// <copyright file="IParameterType.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Web.UI;

    /// <summary>
    /// An interface used to represent a parameter type. 
    /// </summary>
    public interface IParameterType
    {
        /// <summary>
        /// Creates the editor control.
        /// </summary>
        /// <returns>A control for editing the parameter type.</returns>
        Control CreateEditorControl();

        /// <summary>
        /// Get the value of the parameter.
        /// </summary>
        /// <param name="contextValue">The context value.</param>
        /// <returns>The value of the parameter.</returns>
        object GetParameterValue(string contextValue);

        /// <summary>
        /// Gets the context value from the editor control.
        /// </summary>
        /// <param name="editorControl">The editor control.</param>
        /// <returns>The context value.</returns>
        string GetContextValueFromEditorControl(Control editorControl);

        /// <summary>
        /// Resets the editor control.
        /// </summary>
        /// <param name="editorControl">The editor control.</param>
        void ResetEditorControl(Control editorControl);
    }
}
