﻿//---------------------------------------------------------------------
// <copyright file="IQueryStringProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Collections.Generic;
    using CommerceServerContrib.CrossTier.Entities;

    /// <summary>
    /// Interface for accessing  valid query string parameters.
    /// </summary>
    public interface IQueryStringProvider : IRenderParameterProvider
    {
        /// <summary>
        /// Gets the query strings that are supported by the site.
        /// </summary>
        /// <returns>A list of query string parameters.</returns>
        Dictionary<string, QueryStringParameter> GetQueryStrings();

        /// <summary>
        /// Gets the query string.
        /// </summary>
        /// <param name="queryParameterKey">The query parameter key.</param>
        /// <returns>The QueryStringParameter instance for the given query string parameter key.</returns>
        QueryStringParameter GetQueryString(string queryParameterKey);
    }
}
