﻿//-----------------------------------------------------------------------
// <copyright file="SuppressCsrfCheckAttribute.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the SuppressCsrfCheckAttribute class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier
{
    using System;

    /// <summary>
    /// Provides a class level attribute for excluding a page from CSRF checks performed by the CommerceServerContribCsrfMitigationModule.
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Csrf", Justification = "CSRF is a valid acronym.")]
    [AttributeUsage(AttributeTargets.Class)]
    public sealed class SuppressCsrfCheckAttribute : Attribute
    {
    }
}
