﻿//---------------------------------------------------------------------
// <copyright file="IGenericServiceWebPart.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    /// <summary>
    /// The interface that must be implemented by a generic service webpart. This is required
    /// by the editor webpart so that it can set its values when the webpart is in edit mode
    /// </summary>
    public interface IGenericServiceWebPart
    {
        /// <summary>
        /// Gets or sets the service id.
        /// </summary>
        string ControllerId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the RequestTemplate id.
        /// </summary>
        string RequestTemplateId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the validation controller id.
        /// </summary>
        /// <value>
        /// The validation controller id.
        /// </value>
        string ValidationControllerId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the ValidationRequestTemplate id.
        /// </summary>
        string ValidationRequestTemplateId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a list of all of the parameters for the service method and indicates how they should be set
        /// </summary>
        string ParameterSettings
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the settings for a sort parameter.
        /// </summary>
        string SortParameterSettings
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a value indicating whether [ignore design time parameter configuration].
        /// </summary>
        /// <value>
        /// 	<c>true</c> if [ignore design time parameter configuration]; otherwise, <c>false</c>.
        /// </value>
        bool IgnoreDesignTimeParameterConfiguration 
        { 
            get; 
            set; 
        }

        /// <summary>
        /// Gets or sets the settings for the webpart's authorization name
        /// </summary>
        string AuthorizationRoleName
        {
            get;
            set;
        }
    }
}
