﻿//---------------------------------------------------------------------
// <copyright file="IRenderExtensionObjectProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>IRenderExtensionObjectProvider interface.</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using CommerceServerContrib.CrossTier.Entities;

    /// <summary>
    /// An interface used to represent an extension object.
    /// </summary>
    public interface IRenderExtensionObjectProvider
    {
        /// <summary>
        /// Gets the Render extension objects <see cref="CommerceServerContrib.CrossTier.Entities.RenderExtensionObjects" />
        /// </summary>
        /// <returns>RenderExtensionObjects which is a collection of RenderExtensionObject <see cref="RenderExtensionObject" /></returns>
        RenderExtensionObjects GetRenderExtensionObjects();
    }
}
