﻿//---------------------------------------------------------------------
// <copyright file="IRenderParameterProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>IRenderParameterProvider interface</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    using CommerceServerContrib.CrossTier.Entities;

    /// <summary>
    /// Interface that defines the signature for returning list of RenderParameters.
    /// </summary>
    public interface IRenderParameterProvider
    {
        /// <summary>
        /// Gets the Render parameters, a class implementing this interface can manage the logic of retrieval as long as it conforms
        /// to this method.
        /// </summary>
        /// <returns>RenderParameters List <see cref="CommerceServerContrib.CrossTier.Entities.RenderParameters" /></returns>
        RenderParameters GetRenderParameters();
    }
}
