﻿//---------------------------------------------------------------------
// <copyright file="SiteContext.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>SiteContext class</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.Web.SharePoint
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Web;
    using Microsoft.Practices.Unity;
    using System.Globalization;
    using System.Security.Principal;
    using System.IO;
    using Microsoft.SharePoint.WebPartPages;

    /// <summary>
    /// Provides contextual information about the current sharepoint site instance
    /// </summary>
    public class SiteContext : CommerceServerContrib.Web.SiteContext
    {
        #region Contructor

        /// <summary>
        /// Initializes a new instance of the <see cref="SiteContext"/> class.
        /// </summary>
        [InjectionConstructor]
        public SiteContext() : base()
        {
        }

        #endregion

        #region Overrides

        /// <summary>
        /// Gets the web part property validation exception that will be thrown.
        /// </summary>
        /// <param name="message">The message of the exception.</param>
        /// <returns>Returns the web part property validation exception.</returns>
        public override Exception GetWebPartPropertyValidationException(string message)
        {
            return new WebPartPageUserException(message);
        }

        #endregion
    }
}
