﻿//---------------------------------------------------------------------
// <copyright file="SharePointFileProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.Web.SharePoint
{
    using CommerceServerContrib.CrossTier.Interfaces;
    using Microsoft.SharePoint;

    /// <summary>
    /// A provider for getting files from SharePoint libraries
    /// </summary>
    public class SharePointFileProvider : IFileProvider
    {
        /// <summary>
        /// Gets the file in string format.
        /// </summary>
        /// <param name="path">The path to the file</param>
        /// <returns>
        /// The requested file in string form
        /// </returns>
        public string GetFileAsString(string path)
        {
            return SharePointHelper.GetFileAsString(path);
        }

        /// <summary>
        /// Indicates if the file exists or not.
        /// </summary>
        /// <param name="path">The path to the file.</param>
        /// <returns>
        /// true if the file exists; otherwise false.
        /// </returns>
        public bool FileExists(string path)
        {
            return SharePointHelper.FileExists(SPContext.Current.Web, path);
        }
    }
}
