﻿//---------------------------------------------------------------------
// <copyright file="SharePointLoginStatus.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>SharePointLoginStatus class</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint
{
    using Microsoft.SharePoint;

    /// <summary>
    /// SharePointLoginStatus user control
    /// </summary>
    public class SharePointLoginStatus : CommerceServerContribLoginStatus
    {
        /// <summary>
        /// Gets or sets the URL of the logout page.
        /// </summary>
        /// <returns>A string containing the URL of the logout page. The default is <see cref="F:System.String.Empty"/>.</returns>
        public override string LogoutPageUrl
        {
            get
            {
                var baseLogutPageUrl = base.LogoutPageUrl;
                if (baseLogutPageUrl == "/" || string.IsNullOrEmpty(baseLogutPageUrl))
                {
                    return SharePointHelper.FindTopVariantSite(SPContext.Current.Web) + "/_layouts/signout.aspx";
                }

                return base.LogoutPageUrl;
            }

            set
            {
                base.LogoutPageUrl = value;
            }
        }
    }
}
