﻿//-----------------------------------------------------------------------
// <copyright file="SharePointConstants.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>The MasterPages class implementation.</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.Web.SharePoint
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Constanst used by SharePoint specific artifacts.
    /// </summary>
    public static class SharePointConstants
    {
        /// <summary>
        /// "ExtendedPage" properties
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible", Justification = "Needed due to SA1402")]
        public static class ExtendedPageProperties
        {
            /// <summary>
            /// Indicates if web robots should index the page.
            /// </summary>
            public const string AllowMetaRobotsToIndex = "Allow_Meta_Robots_To_Index";

            /// <summary>
            /// Indicates if web robots should follow the page.
            /// </summary>
            public const string AllowMetaRobotsToFollow = "Allow_Meta_Robots_To_Follow";

            /// <summary>
            /// Indicates the change frequency of the page.
            /// </summary>
            public const string ChangeFrequency = "ChangeFrequency";

            /// <summary>
            /// Indicates the crawl priority of the page.
            /// </summary>
            public const string CrawlPriority = "CrawlPriority";

            /// <summary>
            /// Indicates the last time the page was modified.
            /// </summary>
            public const string LastDateModified = "vti_timelastmodified";

            /// <summary>
            /// Meta keywords.
            /// </summary>
            public const string MetaKeywords = "Meta Keywords";

            /// <summary>
            /// Meta Description.
            /// </summary>
            public const string MetaDescription = "Meta Description";

            /// <summary>
            /// Page title property.
            /// </summary>
            public const string PageTitle = "vti_title";
        }
    }
}
