﻿//---------------------------------------------------------------------
// <copyright file="MenuItemTemplate.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    /// <summary>
    /// A mock for the SharePoint MenuItemTemplate control
    /// </summary>
    public class MenuItemTemplate : System.Web.UI.Control
    {
        /// <summary>
        /// Gets or sets the text.
        /// </summary>
        /// <value>
        /// The text for the menu item.
        /// </value>
        public string Text
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>
        /// The description.
        /// </value>
        public string Description
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the image URL.
        /// </summary>
        /// <value>
        /// The image URL.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Justification = "This not how SharePoint implements it.")]
        public string ImageUrl
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the menu group id.
        /// </summary>
        /// <value>
        /// The menu group id.
        /// </value>
        public string MenuGroupId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the sequence.
        /// </summary>
        /// <value>
        /// The sequence.
        /// </value>
        public string Sequence
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the client on click navigate URL.
        /// </summary>
        /// <value>
        /// The client on click navigate URL.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Justification = "This not how SharePoint implements it.")]
        public string ClientOnClickNavigateUrl
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the use short id.
        /// </summary>
        /// <value>
        /// The use short id.
        /// </value>
        public string UseShortId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the client on click script containing prefixed URL.
        /// </summary>
        /// <value>
        /// The client on click script containing prefixed URL.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Justification = "This not how SharePoint implements it.")]
        public string ClientOnClickScriptContainingPrefixedUrl
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the permissions string.
        /// </summary>
        /// <value>
        /// The permissions string.
        /// </value>
        public string PermissionsString
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the permission mode.
        /// </summary>
        /// <value>
        /// The permission mode.
        /// </value>
        public string PermissionMode
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the show only if UI version configuration enabled.
        /// </summary>
        /// <value>
        /// The show only if UI version configuration enabled.
        /// </value>
        public string ShowOnlyIfUIVersionConfigurationEnabled
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the visibility feature id.
        /// </summary>
        /// <value>
        /// The visibility feature id.
        /// </value>
        public string VisibilityFeatureId
        {
            get;
            set;
        }
    }
}
