﻿//---------------------------------------------------------------------
// <copyright file="SPWebPartManager.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    using System.Web.UI.WebControls.WebParts;

    /// <summary>
    /// Used to mock out a SharePoint webpart manager
    /// </summary>
    public class SPWebPartManager : WebPartManager
    {
        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Init"/> event, which is the first event in the <see cref="T:System.Web.UI.WebControls.WebParts.WebPartManager"/> control life cycle.
        /// </summary>
        /// <param name="e">An <see cref="T:System.EventArgs"/> that contains the event data.</param>
        /// <exception cref="T:System.InvalidOperationException">There is another <see cref="T:System.Web.UI.WebControls.WebParts.WebPartManager"/> control on the page</exception>
        protected override void OnInit(System.EventArgs e)
        {
            this.Personalization.Enabled = true;
            this.Personalization.InitialScope = PersonalizationScope.Shared;
            base.OnInit(e);
        }
    }
}
