﻿//-------------------------------------------------------------------------------------------------
// <copyright file="BaseJobDefinition.cs" company="commerceserver.net">
// Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//-------------------------------------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint
{
    using System.Globalization;
    using Microsoft.SharePoint.Administration;

    /// <summary>
    /// Base SharePoint job definition
    /// </summary>
    public class BaseJobDefinition : SPJobDefinition
    {
        /// <summary>
        /// Initializes a new instance of the BaseJobDefinition class.
        /// </summary>
        public BaseJobDefinition()
        {
        }

        /// <summary>
        /// Initializes a new instance of the BaseJobDefinition class.
        /// </summary>
        /// <param name="jobName">Name of the job.</param>
        /// <param name="webApp">The web app.</param>
        public BaseJobDefinition(string jobName, SPWebApplication webApp)
            : base(jobName, webApp, null, SPJobLockType.None)
        {
        }

        /// <summary>
        /// Initializes a new instance of the BaseJobDefinition class.
        /// </summary>
        /// <param name="jobName">Name of the job.</param>
        /// <param name="service">The service.</param>
        public BaseJobDefinition(string jobName, SPService service)
            : base(jobName, service, null, SPJobLockType.None)
        {
        }

        /// <summary>
        /// Determines the major version of SharePoint.
        /// </summary>
        /// <returns>String for the major version of SP.</returns>
        protected string SPMajorVersion()
        {
            SPFarm farm = SPFarm.Local;
            System.Version ver = farm.BuildVersion;
            return ver.Major.ToString(CultureInfo.InvariantCulture);
        }
    }
}
