﻿//---------------------------------------------------------------------
// <copyright file="BuildNumberControlLabel.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>BuildNumberControlLabel class</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web
{
    using System.Diagnostics;
    using System.Security.Permissions;
    using System.Web;
    using System.Web.UI;

    /// <summary>
    /// Displays the assembly version of the Common.csproj file
    /// </summary>
    [AspNetHostingPermission(SecurityAction.Demand, Level = AspNetHostingPermissionLevel.Minimal)]
    [ToolboxData("<{0}:BuildNumberControlLabel runat=\"server\" />")]
    public class BuildNumberControlLabel : System.Web.UI.WebControls.Label
    {
        /// <summary>
        /// Gets the assembly version of Common.csproj
        /// </summary>
        public string BuildNumber
        {
            get
            {
                return FileVersionInfo.GetVersionInfo(System.Reflection.Assembly.GetExecutingAssembly().Location).FileVersion;
            }
        }

        /// <summary>
        /// Renders the assembly version
        /// </summary>
        /// <param name="writer"> The HTML text writer</param>
        protected override void RenderContents(HtmlTextWriter writer)
        {
            writer.WriteEncodedText(this.Text);
            if (this.Context != null)
            {
                writer.Write("Version: " + (string.IsNullOrEmpty(this.BuildNumber) ? "!" : this.BuildNumber));
            }
        }
    }
}
