﻿//---------------------------------------------------------------------
// <copyright file="CommerceServerContribLoginStatus.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>CommerceServerContribLoginStatus class</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web
{
    using System.Web.UI.WebControls;
    using System;
    using System.Reflection;
    using System.Globalization;

    /// <summary>
    /// CommerceServerContribLoginStatus extension.
    /// </summary>
    public class CommerceServerContribLoginStatus : LoginStatus
    {
        /// <summary>
        /// Handles the PreRender event of the page.
        /// </summary>
        /// <param name="e">The event arguments.</param>
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            bool isRecognized = false;
            if (PresentationServiceLocator.Current.SiteContext.User != null)
            {
                isRecognized = !string.IsNullOrEmpty(PresentationServiceLocator.Current.SiteContext.User.Name);
            }

            Type loginStatusType = typeof(LoginStatus);
            loginStatusType.InvokeMember(
                "LoggedIn",
                BindingFlags.NonPublic | BindingFlags.SetProperty | BindingFlags.Instance,
                null,
                this,
                new object[] { isRecognized },
                CultureInfo.CurrentCulture);
        }

        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.WebControls.LoginStatus.LoggedOut"/> event after the user clicks the logout link and logout processing is complete.
        /// </summary>
        /// <param name="e">An <see cref="T:System.EventArgs"/> that contains the event data.</param>
        protected override void OnLoggedOut(System.EventArgs e)
        {
            base.OnLoggedOut(e);
            UserCookieHelper.RemoveRegisteredCookie();
        }
    }
}
