﻿//---------------------------------------------------------------------
// <copyright file="SpecificServiceWebPart.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.Web
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using CommerceServerContrib.CrossTier.Interfaces.Controllers;

    /// <summary>
    /// A base web part for consuming a specific service.
    /// </summary>
    /// <typeparam name="T">The type of the controller.</typeparam>
    public class SpecificServiceWebPart<T> : BaseWebPart
        where T : IBaseController
    {
        /// <summary>
        /// Gets or sets the controller instance for the current domain service.
        /// </summary>        
        public T Controller
        {
            get;
            set;
        }

        /// <summary>
        /// Raises the <see cref="E:System.Web.UI.Control.Init"/> event.
        /// </summary>
        /// <param name="e">An <see cref="T:System.EventArgs"/> object that contains the event data.</param>
        protected override void OnInit(EventArgs e)
        {
            this.InjectDependencies();
            base.OnInit(e);
        }

        /// <summary>
        /// Injects the dependencies.
        /// </summary>
        protected virtual void InjectDependencies()
        {
            this.Controller = PresentationServiceLocator.Current.GetImplementation<T>();
        }
    }
}
