﻿//---------------------------------------------------------------------
// <copyright file="GenericHtmlElement.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Builder for any HTML Elemen</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.Web
{
    /// <summary>
    /// Is used to build an HTML element from, including th validation attributes etc.
    /// </summary>
    public class GenericHtmlElement : HtmlElement
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="GenericHtmlElement"/> class.
        /// </summary>
        /// <param name="tag">The tag of the element, "input" for example.</param>
        public GenericHtmlElement(string tag)
            : base(tag)
        {
        }

        /// <summary>
        /// Gets or sets the tag - something like input, select, etc..
        /// </summary>
        /// <value>
        /// The tag value of the tag.
        /// </value>
        public new string Tag
        {
            get
            {
                return base.Tag;
            }

            set
            {
                base.Tag = value;
            }
        }
    }
}
