﻿//---------------------------------------------------------------------
// <copyright file="InputElement.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.Web
{
    /// <summary>
    /// Used to render a input element by using the HtmlElementé
    /// </summary>
    public class InputElement : HtmlElement
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="InputElement"/> class.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors", Justification = "Need to set a default during construction.")]
        public InputElement()
            : base("input")
        {
            this.ElementType = "text";
        }

        /// <summary>
        /// Gets or sets the element type - text or password for example.
        /// </summary>
        /// <value>
        /// The html element type.
        /// </value>
        public string ElementType
        {
            get
            {
                return this.GetAttributeValue("type");
            }

            set
            {
                this.AddAttribute("type", value);
            }
        }
    }
}
