﻿//-----------------------------------------------------------------------
// <copyright file="RouteConfig.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate
{
    using System.Web.Routing;

    /// <summary>
    /// Sets up routes for the app
    /// </summary>
    public static class RouteConfig
    {
        /// <summary>
        /// Registers routes in the specified collection.
        /// </summary>
        /// <param name="routes">The routes.</param>
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.MapPageRoute(
                "Cart",
                "cart",
                "~/pages/cart.aspx"
            );

            routes.MapPageRoute(
                "Submitted",
                "submitted/{basketId}",
                "~/pages/submitted.aspx"
            );

            routes.MapPageRoute(
                "Checkout",
                "checkout",
                "~/pages/checkout.aspx"
            );

            routes.MapPageRoute(
                "Category",
                "category/{categoryId}",
                "~/pages/category.aspx"
            );

            routes.MapPageRoute(
                "Product",
                "product/{productId}",
                "~/pages/product.aspx"
            );

            routes.MapPageRoute(
                "Default",
                string.Empty,
                "~/pages/default.aspx"
            );
        }
    }
}