﻿//-----------------------------------------------------------------------
// <copyright file="PaymentControl.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.WebFormsSiteTemplate.ControlBase
{
    using CommerceServer.Foundation;
    using CommerceServerContrib.WebFormsSiteTemplate.Models.Generated;
    using System.Collections.Generic;
    using System.Linq;

    /// <summary>
    /// The base class for all controls that use the payment model
    /// </summary>
    public class PaymentControl : BaseControl<string>
    {
        /// <summary>
        /// Gets the payment methods.
        /// </summary>
        /// <value>
        /// The payment methods.
        /// </value>
        public List<PaymentMethod> PaymentMethods
        {
            get
            {
                var paymentMethods = this.ViewBag.PaymentMethods as List<CommerceEntity>;

                if (paymentMethods != null)
                {
                    return new List<PaymentMethod>(paymentMethods.Select(p => (PaymentMethod)p));
                }

                return null;
            }
        }
    }
}