﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.ProductControl" %>

<input type="hidden" id="productId" value="<%=Model.Id %>"/>
<input type="hidden" id="variantId" value=""/>

<div class="well">
    <div class="control-group">
        <label class="control-label" for="price"><%= Resource("Product_LabelPrice") %></label>
        <div class="controls">
            <span id="price"><%= Model.ListPrice.ToCurrency() %></span>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="quantity">Quantity</label>
        <div class="controls">
            <input type="number" id="quantity" placeholder="<%= Resource("Product_LabelQuantity") %>" value="1" class="input-mini" min="1" />
        </div>
    </div>
    <% 
        if (Model.Variants != null && Model.Variants.Count > 0)
        {
            var sizes = Model.Variants.Where(variant => !string.IsNullOrWhiteSpace(variant.Size)).Distinct(new VariantPropertiesEqualityComparer(VariantPropertiesComparisonProperty.Size));
            if (sizes.Any())
            {
    %>
    <div class="control-group">
        <label class="control-label" for="size"><%= Resource("Product_LabelSize") %></label>
        <div class="controls">
            <select id="variantSize" name="Variant_Size" onchange="VariantSelectionChanged()">
                <% 
            foreach (var size in sizes)
            {
                %>
                <option value="<%=size.Size%>"><%=size.Size%></option>
                <% 
                    }
                %>
            </select>

        </div>
    </div>
    <% 
        }
            var colors = Model.Variants.Where(variant => !string.IsNullOrWhiteSpace(variant.ProductColor)).Distinct(new VariantPropertiesEqualityComparer(VariantPropertiesComparisonProperty.ProductColor));
        if (colors.Any())
        {
    %>
    <div class="control-group">
        <label class="control-label" for="colour"><%= Resource("Product_LabelColour") %></label>
        <div class="controls">
            <select id="variantColour" name="Variant_Color" onchange="VariantSelectionChanged()">
                <% 
            foreach (var color in colors)
            {
                %>
                <option value="<%=color.ProductColor%>"><%=color.ProductColor%></option>
                <%
                    }
                %>
            </select>
        </div>
    </div>
    <%
        }
    }
    %>
    <div class="control-group">
        <p class="text-success hide" id="addToCartSuccess"><%= Resource("Product_LabelAddToCartSuccess") %></p>
        <p class="text-error hide" id="addToCartFail"><%= Resource("Product_LabelAddToCartFail") %></p>
        <div class="controls">
            <button type="submit" class="btn btn-primary addToCartBtn" id="addToCartBtn"><%= Resource("Product_LabelAddToCart") %></button>
        </div>
    </div>
</div>

