﻿//---------------------------------------------------------------------
// <copyright file="SimpleTypesExtensions.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Extensions for dealing with Commerce Server entities.</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.Models
{
    using System;
    using System.Collections.Generic;
    using System.Globalization;
    using System.Linq;
    using System.Web;

    /// <summary>
    /// Some utility extension methods for simple types
    /// </summary>
    public static class SimpleTypesExtensions
    {
        /// <summary>
        /// Turns a decimal value into a currency string
        /// </summary>
        /// <param name="currency">The decimal objet to act on</param>
        /// <returns>A decimal formatted as a string</returns>
        public static string ToCurrency(this decimal? currency)
        {
            return string.Format(CultureInfo.CurrentCulture, "{0:C}", currency.HasValue ? currency : 0);
        }

        /// <summary>
        /// Turns a decimal value into a currency string
        /// </summary>
        /// <param name="currency">The decimal objet to act on</param>
        /// <returns>A decimal formatted as a string</returns>
        public static string ToCurrency(this decimal currency)
        {
            return string.Format(CultureInfo.CurrentCulture, "{0:C}", currency);
        }
    }
}