﻿//---------------------------------------------------------------------
// <copyright file="IImageEntity.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Interface for things with an image file name property.</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Interface for Commerce Server Entities which have image files (Image_filename property).
    /// </summary>
    public interface IImageEntity
    {
        /// <summary>
        /// Gets or sets the image file name.
        /// </summary>
        /// <value>
        /// The image file name.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "Filename", Justification = "By design, please leave in")]
        string ImageFilename { get; set; }
    }
}
