﻿//-----------------------------------------------------------------------
// <copyright file="BaseMasterPage.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.PageBase
{
    using CommerceServer.Foundation;
    using CommerceServerContrib.WebFormsSiteTemplate.Interfaces;
    using CommerceServerContrib.WebFormsSiteTemplate.Utils;
    using System.Web.Mvc;

    /// <summary>
    /// The base class for all master pages in the project
    /// </summary>
    public class BaseMasterPage : System.Web.UI.MasterPage
    {
        /// <summary>
        /// Gets a key from the General resource
        /// </summary>
        /// <param name="key">The key to return</param>
        /// <returns>The value associated to the key</returns>
        public string Resource(string key)
        {
            return Resource("General", key);
        }

        /// <summary>
        /// Gets a key from the General resource
        /// </summary>
        /// <param name="source">The file to pull the key from</param>
        /// <param name="key">The key to return</param>        
        /// <returns>The value associated to the key</returns>
        public string Resource(string source, string key)
        {
            return (string)GetGlobalResourceObject(source, key);
        }
    }
}