﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Checkout.aspx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate.Pages.Checkout" %>
<%@ Register Src="~/Controls/Shared/Address.ascx" TagPrefix="cs" TagName="Address" %>
<%@ Register Src="~/Controls/Shared/ShippingMethod.ascx" TagPrefix="cs" TagName="ShippingMethod" %>
<%@ Register Src="~/Controls/Checkout/OrderSummary.ascx" TagPrefix="cs" TagName="OrderSummary" %>
<%@ Register Src="~/Controls/Checkout/OrderSubmit.ascx" TagPrefix="cs" TagName="OrderSubmit" %>
<%@ Register Src="~/Controls/Checkout/CreditCard.ascx" TagPrefix="cs" TagName="CreditCard" %>

<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="TitlePlaceholder">
    <%= Resource("CheckoutPageTitle") %>
</asp:Content>
<script runat="server">
    protected string CheckedString(bool check)
    {
        if (check)
        {
            return "checked=\"checked\"";
        }
        else
        {
            return string.Empty;
        }
    }
</script>
<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <input type="hidden" name="cleanBasket" value="<% =  Model.BasketNeedsToBeCleanedBeforeSave %>" />
    <div class="row">
        <%--@Html.MvcSiteMap().SiteMapPath()--%>
    </div>
    <div class="row">
        <div class="span4">
            <h3><%= Resource("Checkout_LabelBillingAddress") %></h3>
            <cs:Address runat="server" Model="<%# Model.BillingAddress %>" ControlIdPrefix="Billing" />
            <div>
                <label for="shipToBillingAddress" class="checkbox">
                    <input type="checkbox" name="shipToBillingAddress" id="shipToBillingAddress" <%# CheckedString(Model.UseBillingAddressForShippingAddress) %>  />
                    Ship to same address
                </label>
            </div>
            <div id="shippingSection">
                <h3><%= Resource("Checkout_LabelShippingAddress") %></h3>
                <cs:Address runat="server" Model="<%# Model.ShippingAddress %>" ControlIdPrefix="Shipping" />
            </div>
        </div>
        <div class="span4">
            <h3><%= Resource("Checkout_LabelShippingMethod") %></h3>
            <cs:ShippingMethod runat="server" Model="<%# Model.ShippingMethodId %>" />
            <h3><%= Resource("Checkout_LabelPaymentMethod") %></h3>
            <cs:CreditCard runat="server" Model="<%# Model.CreditCardPayment %>" />
        </div>
        <div class="span4">
            <h3><%= Resource("Checkout_LabelOrderSummary") %></h3>
            <cs:OrderSummary runat="server" Model="<%# Model %>" />
            <cs:OrderSubmit runat="server" Model="<%# Model %>" />
        </div>
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ScriptsPlaceholder">
    <script type="text/javascript">
        manageShippingBillingAddresses();
        setupCheckoutPage();
        setupPlaceholder();
    </script>
</asp:Content>
