﻿//-----------------------------------------------------------------------
// <copyright file="Default.aspx.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate
{
    using CommerceServerContrib.WebFormsSiteTemplate.PageBase;
    using System;
    using System.Configuration;
    using Generated = CommerceServerContrib.WebFormsSiteTemplate.Models.Generated;
    using RT = CommerceServerContrib.WebFormsSiteTemplate.RequestTemplates;

    /// <summary>
    /// Handles all actions on the home page
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Justification = "Generated code, leave as is.")]
    public partial class _Default : BasePage<Generated.Category>
    {
        /// <summary>
        /// Called just before the preload event
        /// </summary>
        /// <param name="e">Any args for the event</param>
        protected override void OnPreLoad(EventArgs e)
        {
            this.Controller = RT.Catalog.GetCategoryWithChildProductsQueued(
                   "FeaturedProducts",
                   this.DefaultCatalog,
                   "0",
                   "4",
                   null,
                   null,
                   null,
                   null,
                   null,
                   null);
        }

        /// <summary>
        /// Called when the page loads
        /// </summary>
        /// <param name="sender">The caller of the event</param>
        /// <param name="e">Any args around the event</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            var featuredProductsCategories = this.GetQueuedResponse();

            if (featuredProductsCategories != null && featuredProductsCategories.Count > 0)
            {
                this.Model = (Generated.Category)featuredProductsCategories[0];
                this.DataBind();
            }
        }
    }
}