﻿//-----------------------------------------------------------------------
// <copyright file="Product.aspx.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.Pages
{
    using CommerceServerContrib.WebFormsSiteTemplate.PageBase;
    using System;
    using System.Configuration;
    using System.Web.UI;
    using Generated = CommerceServerContrib.WebFormsSiteTemplate.Models.Generated;
    using RT = CommerceServerContrib.WebFormsSiteTemplate.RequestTemplates;
    using System.Linq;
    using CommerceServerContrib.WebFormsSiteTemplate.Models;

    /// <summary>
    /// Handles all actions on the product page
    /// </summary>
    public partial class Product : BasePage<Generated.Product>
    {
        /// <summary>
        /// Called just before the preload event
        /// </summary>
        /// <param name="e">Any args for the event</param>
        protected override void OnPreLoad(EventArgs e)
        {
            var productId = Page.RouteData.Values["productId"].ToString();

            this.Controller = RT.Catalog.GetProductSummaryQueued(productId, this.DefaultCatalog);
        }

        /// <summary>
        /// Called when the page loads
        /// </summary>
        /// <param name="sender">The caller of the event</param>
        /// <param name="e">Any args around the event</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            var products = this.GetQueuedResponse();

            if (products != null)
            {
                this.Model = (Generated.Product)products[0];
                this.DataBind();
            }
        }
    }
}