﻿//-----------------------------------------------------------------------
// <copyright file="Submitted.aspx.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.Pages
{
    using CommerceServerContrib.Web;
    using CommerceServerContrib.WebFormsSiteTemplate.Models;
    using CommerceServerContrib.WebFormsSiteTemplate.Models.Generated;
    using CommerceServerContrib.WebFormsSiteTemplate.PageBase;
    using System;
    using RT = CommerceServerContrib.WebFormsSiteTemplate.RequestTemplates;

    /// <summary>
    /// Handles all actions on the submitted page
    /// </summary>
    public partial class Submitted : BasePage<BasketViewModel>
    {
        /// <summary>
        /// Called just before the preload event
        /// </summary>
        /// <param name="e">Any args for the event</param>
        protected override void OnPreLoad(EventArgs e)
        {
            var basketId = Page.RouteData.Values["basketId"].ToString();
            this.Controller = RT.Orders.GetOrderQueued(this.CommerceContext.DefaultBasketName, this.UserId, "1", basketId);
        }

        /// <summary>
        /// Called when the page loads
        /// </summary>
        /// <param name="sender">The caller of the event</param>
        /// <param name="e">Any args around the event</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            var baskets = this.GetQueuedResponse();

            BasketViewModel basketViewModel;

            if (baskets != null && baskets.Count > 0)
            {
                var basket = (Basket)baskets[0];
                basketViewModel = new BasketViewModel(basket);
            }
            else
            {
                basketViewModel = new BasketViewModel();
            }

            this.Model = basketViewModel;
            this.DataBind();
        }
    }
}