﻿//---------------------------------------------------------------------
// <copyright file="ProfileRequestTemplateController.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Profile Controller for accessing Profile Commerce Server systems through the Request Template framework.</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.WebFormsSiteTemplate.RequestTemplates
{
    using CommerceServerContrib.CrossTier.Interfaces.Controllers;
    using CommerceServerContrib.Web.Controllers;

    /// <summary>
    /// A Request Template Controller for accessing Profile components like UserProfile but also SiteTerms, etc. 
    /// </summary>
    public class ProfileRequestTemplateController : BaseController<IRequestTemplateController>
    {
        /// <summary>
        /// Gets the group id.
        /// </summary>
        /// <value>
        /// The group id.
        /// </value>
        public override string GroupId
        {
            get
            {
                return "Profile_GroupId";
            }
        }
    }
}