/// <reference path="_references.js" />

var breakpoint = 990;
var isDesktop = true;
var docHeight = 0;
var docWidth = 0;

$(document).ready(function () {
    setClientType();
});

function manageShippingBillingAddresses() {
    $(document).ready(function () {
        $("#shipToBillingAddress").click(function () {
            if ($(this).is(":checked") == true) {
                $("#shippingSection").hide();
            }
            else {
                $("#shippingSection").show();
            }
        });
    });
}

function setupCheckoutPage() {
    $(document).ready(function () {
        if ($("#shipToBillingAddress").is(":checked") == true) {
            $("#shippingSection").hide();
        }
        else {
            $("#shippingSection").show();
        }
    });
}

function setupFloatOver() {
    $(document).ready(function () {

        $(".thumbnail").hover(function () {
            if (isDesktop) {
                $(this).find(".detailsFloatOver").fadeIn(300);
            }
        },
        function () {
            if (isDesktop) {
                $(this).find(".detailsFloatOver").fadeOut(300);
            }
        });
    });
}

function setupPlaceholder() {
    $('input, textarea').placeholder();
}

function manageHeaderMenu() {

    $(document).ready(function () {

        $("#shopLink").hover(function () {
            if (isDesktop) {
                $("#headerMenu").fadeIn(300);
                $("#miniCart").fadeOut(300);
            }
        },
        function () {
            // hover away
        });

        $("#headerMenu").hover(function () {
            // hover in
        },
        function () {
            if (isDesktop) {
                $("#headerMenu").fadeOut(500);
            }
        });

        $("#wrap").hover(function () {
            if (isDesktop) {
                $("#headerMenu").fadeOut(500);
            }
        },
        function () {
            // hover out
        });
    });

}

function manageHeaderMiniCart() {
    $(document).ready(function () {

        $("#miniCartLink").hover(function () {
            if (isDesktop) {
                $("#miniCart").fadeIn(300);
                $("#headerMenu").fadeOut(300);
            }
        },
        function () {
            // hover away
        });

        $("#miniCart").hover(function () {
            // hover in
        },
        function () {
            if (isDesktop) {
                $("#miniCart").fadeOut(500);
            }
        });

        $("#wrap").hover(function () {
            if (isDesktop) {
                $("#miniCart").fadeOut(500);
            }
        },
        function () {
            // hover out
        });
    });
}

function manageProductImages() {
    $(document).ready(function () {

        $("#productImages .thumbnails a").click(function (e) {
            var index = $("#productImages .thumbnails a").index($(this));
            $("#myCarousel").carousel(index);

            if (!isDesktop) {

                // scroll to the top to make sure the user can see teh changed image
                e.preventDefault();
                $('html, body').animate({ scrollTop: 0 });
            }

            return false;
        });

    });
}

function manageCartActions() {
    $(document).ready(function () {

        $(".removeLineItem").click(function () {

            var lineItem = $(this);
            var lineItemId = lineItem.attr("data-ajax-lineitemid");

            AJAXPost("/pages/cart.aspx/DeleteLineItem", "{'lineItemId':'" + lineItemId + "'}", deleteLineItemResponse, lineItem);

            return false;
        });

        $(".refreshLineItem").click(function () {

            var lineItem = $(this);
            var lineItemId = lineItem.attr("data-ajax-lineitemid");
            var quantity = lineItem.closest("tr").find(".quantity").val();

            AJAXPost("/pages/cart.aspx/UpdateLineItem", "{'lineItemId':'" + lineItemId + "', 'quantity': " + quantity + "}", updateLineItemResponse, lineItem);

            return false;
        });
    });
}

function deleteLineItemResponse(data, success, sender) {

    $("#cartContainer").html(data);
    $("#cartContainer").find("input[type='number']").inputNumber();
    manageCartActions();
    UpdateMiniCart();
}

function updateLineItemResponse(data, success, sender) {

    $("#cartContainer").html(data);
    $("#cartContainer").find("input[type='number']").inputNumber();
    manageCartActions();
    UpdateMiniCart();
}

$(window).resize(function () { //Update dimensions on resize    
    setClientType();
});

function setClientType() {
    docWidth = document.documentElement.clientWidth;
    docHeight = document.documentElement.clientHeight;
    checkMobile();
}

//Check if Mobile
function checkMobile() {
    isDesktop = (docWidth > breakpoint) ? true : false;

    if (isDesktop) {

    } else {

    }
}

function registerAddToCart() {
    $("#addToCartBtn").click(function () {

        var productId = $("#productId").val();
        var variantId = $("#variantId").val();
        var quantity = $("#quantity").val();

        variantId = (variantId == undefined) ? "" : variantId;

        AJAXPost("/pages/cart.aspx/addtocart", "{'productId':'" + productId + "', 'variantId':'" + variantId + "', 'quantity':" + quantity + "}", addToCartResponse, null);

        return false;
    });
}

function addToCartResponse(data, success, sender) {
    if (data == true) {
        $("#addToCartSuccess").show().fadeOut(4000);
        UpdateMiniCart();
    }
    else {
        $("#addToCartFail").show().fadeOut(4000);
    }
}

function UpdateMiniCart() {
    AJAXPost("/pages/cart.aspx/minicart", null, function (data) { $("#miniCartLink").html(data); }, null);
}

function AddVariantCombination(size, productColor, id) {
    if (!window.variantCombinationsArray) {
        window.variantCombinationsArray = new Array();
    }

    window.variantCombinationsArray[size + '_' + productColor] = id;
}

function GetVariantIdByCombination(size, productColor) {
    if (!window.variantCombinationsArray || !window.variantCombinationsArray[size + '_' + productColor]) {
        return -1;
    }

    return window.variantCombinationsArray[size + '_' + productColor];
}

function VariantSelectionChanged() {
    var size = '';
    var color = '';

    var variantSizeDropDown = document.getElementById("variantSize");
    var variantProductColorDropDown = document.getElementById("variantColour");

    if (variantSizeDropDown) {
        size = variantSizeDropDown.value;
    }

    if (variantProductColorDropDown) {
        color = variantProductColorDropDown.value;
    }

    document.getElementById('variantId').value = GetVariantIdByCombination(size, color);
}

function AJAXGet(url, data, responseFunction, sender) {
    AJAXCall("GET", url, data, responseFunction, sender);
}

function AJAXPost(url, data, responseFunction, sender) {
    AJAXCall("POST", url, data, responseFunction, sender);
}

function AJAXCall(callType, url, data, responseFunction, sender) {
    $.ajax({
        type: callType,
        url: url,
        data: data,
        cache: false,
        contentType: "application/json; charset=utf-8",
        success: function (data) {
            if (responseFunction != null) {
                responseFunction(data.d, true, sender);
            }
        },
        error: function (data) {
            if (responseFunction != null) {
                responseFunction(data.d, false, sender);
            }
        }
    });
}